Name:		kst
Version:	2.0.4
Release:	%mkrel 1
Summary:	Program for looking at data streams
License:	GPLv2+
Group:		Graphical desktop/KDE4
Url:		http://kst.kde.org/
Source:		http://downloads.sourceforge.net/kst/%{name}-%{version}.tar.xz
BuildRequires:	qt4-devel
BuildRequires:	cfitsio-devel
BuildRequires:	netcdf-devel
BuildRequires:	gsl-devel
BuildRequires:	cmake

%description
kst is a program for looking at data streams. It can plot:

 - x-y plots
 - power spectra
 - histograms
 - equations (including equations of data streams). 
 - data in files which are being updated as data is being logged, in
    which case in can act as a plotter for a chart recorder.
 - much more

Kst supports realtime viewing and manipulation of streaming data.

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}/cmake

%build
%cmake -Dkst_install_prefix=%{_prefix} -Dkst_install_libdir=%{_lib} -Dkst_rpath=OFF
%make

%install
%makeinstall_std -C build

rm -f %{buildroot}%{_libdir}/*.so
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_datadir}/applnk/*/*
rm -f %{buildroot}%{_datadir}/mimelink/application/*.desktop


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Sciences-Geosciences" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/*.so.*
%{_libdir}/kst2
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Sat Nov 26 2011 Texstar <texstar at gmail.com> 2.0.4-1pclos2011
- 2.0.4
